# Generated by Django 4.0.5 on 2022-07-15 20:09

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('event', '0005_alter_ticket_options'),
    ]

    operations = [
        migrations.CreateModel(
            name='Hall',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='Название')),
                ('description', models.TextField(verbose_name='Описание')),
                ('rows_amount', models.IntegerField(verbose_name='Количество рядов')),
                ('places_amount', models.IntegerField(verbose_name='Количество мест')),
            ],
            options={
                'verbose_name': 'Зал',
                'verbose_name_plural': 'Залы',
            },
        ),
        migrations.AlterModelOptions(
            name='favoriteevent',
            options={'verbose_name': 'Избранное', 'verbose_name_plural': 'Избранные'},
        ),
        migrations.AlterField(
            model_name='event',
            name='begins_at',
            field=models.DateTimeField(verbose_name='Начинается'),
        ),
        migrations.CreateModel(
            name='Place',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('row', models.IntegerField(verbose_name='Ряд')),
                ('place', models.IntegerField(verbose_name='Место')),
                ('hall', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='event.hall', verbose_name='Зал')),
            ],
        ),
        migrations.AddField(
            model_name='hall',
            name='event',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='event.event', verbose_name='Событие'),
        ),
    ]
